%define anolis_release 2

%global systemd_unit gnome-remote-desktop.service
%global systemd_unit_headless gnome-remote-desktop-headless.service

%global enable_rdp 0

Name:           gnome-remote-desktop
Version:        47.3
Release:        %{anolis_release}%{?dist}
Summary:        GNOME Remote Desktop screen share service

License:        GPL-2.0-or-later
URL:            https://gitlab.gnome.org/GNOME/gnome-remote-desktop
Source0:        https://download.gnome.org/sources/%{name}/47/%{name}-%{version}.tar.xz

# Adds encryption support (requires patched LibVNCServer)
Patch0:         gnutls-anontls.patch
Patch1:         1-bugfix-for-cve-2025-5024.patch

BuildRequires:  asciidoc
BuildRequires:  gcc
BuildRequires:  cmake
BuildRequires:  systemd-rpm-macros
BuildRequires:  meson >= 0.47.0
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(epoxy)
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(ffnvcodec)
BuildRequires:  pkgconfig(gbm)
BuildRequires:  pkgconfig(gio-unix-2.0)
%if 0%{?enable_rdp}
BuildRequires:  pkgconfig(fdk-aac)
BuildRequires:  pkgconfig(freerdp3)
BuildRequires:  pkgconfig(fuse3)
BuildRequires:  pkgconfig(opus)
BuildRequires:  pkgconfig(polkit-gobject-1)
BuildRequires:  pkgconfig(winpr3)
%endif
BuildRequires:  pkgconfig(glib-2.0) >= 2.68
BuildRequires:  pkgconfig(gnutls)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(gudev-1.0)
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(libpipewire-0.3)
BuildRequires:  pkgconfig(libsecret-1)
BuildRequires:  pkgconfig(systemd)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  pkgconfig(tss2-esys)
BuildRequires:  pkgconfig(libvncserver) >= 0.9.11-7
BuildRequires:  pkgconfig(tss2-mu)
BuildRequires:  pkgconfig(tss2-rc)
BuildRequires:  pkgconfig(tss2-tctildr)
BuildRequires:  gettext
BuildRequires:  pkgconfig(libei-1.0)

Requires:       libei >= 1.0.901
Requires:       pipewire >= 0.3.49

Obsoletes:      vino < 3.22.0-21

%description
GNOME Remote Desktop is a remote desktop and screen sharing service for the
GNOME desktop environment.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n %{name}-%{version}


%build
%meson \
%if 0%{?enable_rdp}
    -Drdp=true \
%else
    -Drdp=false \
%endif
    -Dsystemd=true \
    -Dvnc=true \
    -Dtests=false
%meson_build


%install
%meson_install

%find_lang %{name}

%generate_compatibility_deps

%post
%systemd_user_post %{systemd_unit}
%systemd_user_post %{systemd_unit_headless}

%preun
%systemd_user_preun %{systemd_unit}
%systemd_user_preun %{systemd_unit_headless}

%postun
%systemd_user_postun_with_restart %{systemd_unit}
%systemd_user_postun_with_restart %{systemd_unit_headless}


%files -f %{name}.lang
%license COPYING
%{_bindir}/grdctl
%dir %{abidir}
%{abidir}/grdctl-option.list
%{_libexecdir}/gnome-remote-desktop-daemon
%{_userunitdir}/%{systemd_unit}
%{_userunitdir}/%{systemd_unit_headless}
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.remote-desktop.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.remote-desktop.enums.xml
%if 0%{?enable_rdp}
%{_datadir}/gnome-remote-desktop/
%endif
%{_mandir}/man1/grdctl.1*

%files doc
%doc README.md

%changelog
* Thu Jul 24 2025 tomcruiseqi <tomcruiseqi@inspur.com> - 47.3-2
- Update to 47.3
- Add patch to fix CVE-2025-5024

* Sun Apr 23 2023 Funda Wang <fundawang@yeah.net> - 44.1-1
- New version 44.1

* Tue Apr 11 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 44.0-1
- Init upstream from 44.0
